<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.DoChecksum Property
BaseDatabase Class See Also

If true, do checksum verification of pages read into the cache from the backing filestore.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool DoChecksum { get; }

Visual Basic (Declaration)

    Public ReadOnly Property DoChecksum As Boolean

Visual C++

    public:
    property bool DoChecksum {
    	bool get ();
    }

# Remarks

Berkeley DB uses the SHA1 Secure Hash Algorithm if encryption is configured and a general hash algorithm if it is not.

# See Also

BaseDatabase Class
BerkeleyDB Namespace